# TODO:
# - more clusters support:
#   - zookeeper (http://zookeeper.apache.org/) [-lzookeeper_mt, zookeeper.h]
#   - accord (http://www.osrg.net/accord/ - available on github, no releases yet) [libacrd.pc]
# - PLDify and register init script
Summary:	Sheepdog - distributed storage system for QEMU/KVM
Summary(pl.UTF-8):	Sheepdog - rozproszony system przechowywania danych dla QEMU/KVM
Name:		sheepdog
Version:	0.9.2
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://github.com/collie/sheepdog/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b02eadf70b9cea6e05b5887d193941bf
Patch0:		32bits-targets.patch
URL:		http://www.osrg.net/sheepdog/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	corosync-devel
BuildRequires:	groff
BuildRequires:	libfuse-devel
BuildRequires:	pkgconfig
BuildRequires:	userspace-rcu-devel >= 0.6.0
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sheepdog is a distributed storage system for QEMU/KVM. It provides
highly available block level storage volumes that can be attached to
QEMU/KVM virtual machines. Sheepdog scales to several hundreds nodes,
and supports advanced volume management features such as snapshot,
cloning, and thin provisioning.

%description -l pl.UTF-8
Sheepdog to rozproszony system przechowywania danych dla QEMU/KVM.
Udostępnia na poziomie urządzeń blokowych wolumeny o wysokiej
dostępności, które można podłączyć do maszyn wirtualnych QEMU/KVM.
Sheepdog skaluje się do setek węzłów i obsługuje zaawansowane
możliwości zarządzania wolumentami, takie jak migawka (snapshot),
klonowanie i nadalokacja (thin provisioning).

%package -n bash-completion-%{name}
Summary:        bash-completion for dog command
Summary(pl.UTF-8):	Bashowe dopełnianie składni dla polecenia dog
Group:          Applications/Shells
Requires:       %{name} = %{version}-%{release}
Requires:       bash-completion
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-%{name}
bash-completion for sheepdog dog command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie składni dla polecenia dog z pakietu sheepdog.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-initddir=/etc/rc.d/init.d
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README INSTALL
%attr(755,root,root) %{_sbindir}/dog
%attr(755,root,root) %{_sbindir}/sheep
%attr(755,root,root) %{_sbindir}/sheepfs
%attr(755,root,root) %{_sbindir}/shepherd
%dir /var/lib/sheepdog
%attr(754,root,root) /etc/rc.d/init.d/sheepdog
%{_mandir}/man8/dog.8*
%{_mandir}/man8/sheep.8*
%{_mandir}/man8/sheepfs.8*

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
/etc/bash_completion.d/dog
%changelog
* Sun Aug 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sheepdog.git;a=log;h=master

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 5432c4a
- typo

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> b1cc34e
- use properly versioned tarball
- adjust patch for realese instead of git master

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 5f5b4b3
- up to 0.9.2
- add upstream fix for ix86 targets

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 3870d1e
- fix missing declarations on ix86

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 687fb71
- too much crappy asm code to be able to build it on x32

* Fri Dec 05 2014 Grzegorz Pycia <gzohop@pld-linux.org> 3232e5f
- up to 0.9.0

* Fri Dec 05 2014 Grzegorz Pycia <gzohop@pld-linux.org> 45ed511
- up to 0.8.3

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> e5d347f
- noarch bash completions

* Mon Feb 10 2014 Jakub Bogusz <qboosh@pld-linux.org> d3907f8
- pl for bash-completion

* Mon Feb 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 5d5c1a9
- disable silent-rules

* Thu Feb 06 2014 Grzegorz Pycia <gzohop@pld-linux.org> 2dba539
- up to 0.8.0
 - subpackage for bash_completion

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> fa0c111
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 9e040e5
- updated comments

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 832444a
- new

